Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::SkeletonPtr Class Reference

Specialisation of SharedPtr to allow SharedPtr to be assigned to SkeletonPtr. More...

`#include <OgreSkeleton.h>`

Inheritance diagram for Ogre::SkeletonPtr:

[legend]
List of all members.

## Public Member Functions
| SkeletonPtr ()
| SkeletonPtr (Skeleton *rep)
| SkeletonPtr (const SkeletonPtr &r)
| SkeletonPtr (const ResourcePtr &r)
SkeletonPtr & | operator= (const ResourcePtr &r)
| Operator used to convert a ResourcePtr to a SkeletonPtr.
Skeleton & | operator * () const
Skeleton * | operator-> () const
Skeleton * | get () const
void | bind (Skeleton *rep)
| Binds rep to the SharedPtr.
bool | unique () const
unsigned int | useCount () const
unsigned int * | useCountPointer () const
Skeleton * | getPointer () const
bool | isNull (void) const
void | setNull (void)
## Protected Member Functions
void | release (void)
virtual void | destroy (void)
virtual void | swap (SharedPtr< Skeleton > &other)
## Protected Attributes
Skeleton * | pRep
unsigned int * | pUseCount

## Detailed Description

Specialisation of SharedPtr to allow SharedPtr to be assigned to SkeletonPtr.

Note:
  Has to be a subclass since we need operator=. We could templatise this instead of repeating per Resource subclass, except to do so requires a form VC6 does not support i.e. ResourceSubclassPtr<T> : public SharedPtr<T>

Definition at line 453 of file OgreSkeleton.h.

## Constructor & Destructor Documentation

Ogre::SkeletonPtr::SkeletonPtr | ( |  | ) |

| Definition at line 456 of file OgreSkeleton.h.

Ogre::SkeletonPtr::SkeletonPtr | ( | Skeleton * | rep | ) | `[explicit]`

| Definition at line 457 of file OgreSkeleton.h.

Ogre::SkeletonPtr::SkeletonPtr | ( | const SkeletonPtr & | r | ) |

| Definition at line 458 of file OgreSkeleton.h.

Ogre::SkeletonPtr::SkeletonPtr | ( | const ResourcePtr & | r | ) |

| Definition at line 459 of file OgreSkeleton.h. References OGRE_COPY_AUTO_SHARED_MUTEX, OGRE_LOCK_MUTEX, and OGRE_MUTEX_CONDITIONAL.

## Member Function Documentation

void Ogre::SharedPtr< Skeleton >::bind | ( | Skeleton * | rep | ) | `[inherited]`

| Binds rep to the SharedPtr. Remarks: Assumes that the SharedPtr is uninitialised! Definition at line 137 of file OgreSharedPtr.h. References OGRE_LOCK_AUTO_SHARED_MUTEX, and OGRE_NEW_AUTO_SHARED_MUTEX.

virtual void Ogre::SharedPtr< Skeleton >::destroy | ( | void |  | ) | `[protected, virtual, inherited]`

| Definition at line 191 of file OgreSharedPtr.h. References OGRE_DELETE_AUTO_SHARED_MUTEX.

Skeleton * Ogre::SharedPtr< Skeleton >::get | ( |  | ) | const`[inherited]`

| Definition at line 131 of file OgreSharedPtr.h.

Skeleton * Ogre::SharedPtr< Skeleton >::getPointer | ( |  | ) | const`[inherited]`

| Definition at line 149 of file OgreSharedPtr.h.

bool Ogre::SharedPtr< Skeleton >::isNull | ( | void |  | ) | const`[inherited]`

| Definition at line 151 of file OgreSharedPtr.h.

Skeleton & Ogre::SharedPtr< Skeleton >::operator * | ( |  | ) | const`[inherited]`

| Definition at line 129 of file OgreSharedPtr.h.

Skeleton * Ogre::SharedPtr< Skeleton >::operator-> | ( |  | ) | const`[inherited]`

| Definition at line 130 of file OgreSharedPtr.h.

SkeletonPtr& Ogre::SkeletonPtr::operator= | ( | const ResourcePtr & | r | ) |

| Operator used to convert a ResourcePtr to a SkeletonPtr. Definition at line 476 of file OgreSkeleton.h. References OGRE_COPY_AUTO_SHARED_MUTEX, OGRE_LOCK_MUTEX, and OGRE_MUTEX_CONDITIONAL.

void Ogre::SharedPtr< Skeleton >::release | ( | void |  | ) | `[protected, inherited]`

| Definition at line 165 of file OgreSharedPtr.h. References Ogre::SharedPtr< T >::destroy(), OGRE_AUTO_MUTEX_NAME, OGRE_LOCK_AUTO_SHARED_MUTEX, OGRE_MUTEX_CONDITIONAL, and OGRE_SET_AUTO_SHARED_MUTEX_NULL.

void Ogre::SharedPtr< Skeleton >::setNull | ( | void |  | ) | `[inherited]`

| Definition at line 153 of file OgreSharedPtr.h. References Ogre::SharedPtr< T >::release().

virtual void Ogre::SharedPtr< Skeleton >::swap | ( | SharedPtr< Skeleton > & | other | ) | `[protected, virtual, inherited]`

| Definition at line 202 of file OgreSharedPtr.h. References OGRE_AUTO_MUTEX_NAME.

bool Ogre::SharedPtr< Skeleton >::unique | ( |  | ) | const`[inherited]`

| Definition at line 145 of file OgreSharedPtr.h. References OGRE_LOCK_AUTO_SHARED_MUTEX.

unsigned int Ogre::SharedPtr< Skeleton >::useCount | ( |  | ) | const`[inherited]`

| Definition at line 146 of file OgreSharedPtr.h. References OGRE_LOCK_AUTO_SHARED_MUTEX.

unsigned int* Ogre::SharedPtr< Skeleton >::useCountPointer | ( |  | ) | const`[inherited]`

| Definition at line 147 of file OgreSharedPtr.h.

## Member Data Documentation

Skeleton * Ogre::SharedPtr< Skeleton >::pRep`[protected, inherited]`

| Definition at line 46 of file OgreSharedPtr.h.

unsigned int* Ogre::SharedPtr< Skeleton >::pUseCount`[protected, inherited]`

| Definition at line 47 of file OgreSharedPtr.h.

The documentation for this class was generated from the following file:

- OgreSkeleton.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Thu Mar 6 09:48:59 2008